#!/usr/bin/env python
# coding: utf-8

from __future__ import print_function
from datetime import datetime, timedelta
import os

def iter_times(start, end):
    current = start
    while current < end:
        yield current
        current += timedelta(hours=36)


start = datetime(2015,7,1)
end = datetime(2015,7,28)

ifinal = int((end - start).total_seconds() / 3600.)

for date in iter_times(start, end):

    istart = int((date - start).total_seconds() / 3600)
    istop = istart + 36

    print(date, istart, istop)
    os.system('sbatch run.job 2015-01-01 %d %d' % (istart, istop))


